const config = require('./index');
const git = require('../git/index');

module.exports = {
  /**
   * Update configuration and commit the configuration.
   * @param forceAmend amend the latest commit.
   * @returns {*}
   */
  commitConfig(forceAmend = false) {
    config.writeConfiguration();

    if (git.hasStagedChanges((item) => item.indexOf('.gflowrc') > -1)) {
      git.addSync('.gflowrc');

      const indexOf = git.sync('log', '-1').join('|').indexOf('chore: gflow update configuration [ci skip]');

      if (indexOf === -1 && !forceAmend) {
        return git.commit('-m', 'chore: gflow update configuration [ci skip]', '--no-verify');
      }

      return git.commit('--amend', '--no-edit', '--no-verify');
    }

    return undefined;
  }
};
